#Sat May 07 09:12:31 CEST 2016

#which DataProvider should be use to send the Data?
#available Options are:
#   com.dschulz.datagenerator.Providerovider.MongoDataProvider
#   com.dschulz.datagenerator.Providerovider.HttpJsonDataProvider
VISITOR_DATA_PROVIDER=com.dschulz.datagenerator.Visitor.Provider.MongoDataProvider

#should the DataProvider send Data during the Simulation of an User
#or the complete Dataset after the Visitor is back Home
UPDATE_DURING_SIMULATION=true

#should the Simulation wait VISITOR_SLEEPTIME until the next Entry is generated or recall itself
BATCH_PROCESSING=false

#Describes the time a cluster waits until he tries to create new Visitors
#(Visitor Creation is based on Cluster Interest/Size)
SIMULATION_CLUSTER_SLEEPTIME=1000.0

#In which radius around Cluster CenterPoint should a new Visitor appear? (in meters)
SIMULATION_CLUSTER_PLACES_DISTANCE=1500.0

#How much interest a Cluster has to generate until a new Visitor appears?
SIMULATION_CLUSTER_INTEREST_THRESHOLD=100.0

#How Much interest has a Place minimum.
MIN_BUILDING_INTEREST=15.0
#How Much interest has a Place maximum.
#(Cluster Interest is the sum of Interest from all Places inside the Cluster)
MAX_BUILDING_INTEREST=30.0

#How many Visitors are allowed to walk around the same time
MAX_VISITORS_SAME_TIME=5
#how many visitors should be simulated until Simulation stops
MAX_VISITORS_TOTAL=20
#how long should a Visitor sleep until he sends Data/does his next Visitor Step (in Milliseconds)
VISITOR_SLEEPTIME=5000

#Distance which is taken by a Visitor per Visitorstep in KM
VISITOR_DISTANCE_PER_SIMULATION_STEP=0.001

#how much does the Steplength vary between different Visitors in KM
VISITOR_VARIANCE_PER_SIMULATION_STEP=0.0002

#how much does the Steplength of a single Visitor vary in KM
VISITOR_MEAN_VARIANCE_PER_SIMULATION_STEP=0.0001

#How much Interest can a Visitor reduce minimum per Visitor Step
MIN_INTEREST_REDUCE_PER_TIME=0.1
#How much Interest can a Visitor reduce maximum per Visitor Step
MAX_INTEREST_REDUCE_PER_TIME=0.5
#How much Interest does a Visitor have minimum on Instantiation
MIN_INTEREST_NEED=60.0
#How much Interest does a Visitor have maximum on Instantiation
MAX_INTEREST_NEED=120.0


#MongoSettings - should be self-explanatory
MONGO_DB_NAME=leafletDB
MONGO_COLLECTION_VISITOR=visitors
MONGO_ADDRESS=localhost
MONGO_PORT=27017

#HttpDataProviderSettings
HTTP_PROVIDER_FINALIZE_URL=localhost:8888
HTTP_PROVIDER_UPDATE_URL=localhost:8888
HTTP_PROVIDER_CREATE_URL=localhost:8888
